  body {
    background-color: black;
  }
  
  .btn {
        background-color: #7c0000;
        color: white;
        padding: 0.8rem 1.2rem;
        text-decoration: none;
        border-radius: 10px;
        display: inline-block;
        margin-top: 1rem;
      }
      
      .btn:hover {
        background-color: #7c0000;
        box-shadow: 0 0 40px rgba(255, 0, 0, 0.685);
        color: white;
      }

      .tech-icons {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        gap: 10px;
        margin-bottom: 20px;
      }

.tech {
  background-color: #7a0000;
  border: none;
  padding: 4px 12px;
  color: white;
  border-radius: 10px;
  font-weight: bold;
  display: flex;
  align-items: center;
  gap: 3px;
}

.tech img {
  width: 13px;
  height: auto;
}

body {
          background-color: black;
          margin: 0;
          font-family: 'Segoe UI', sans-serif;
          color: white;
          scroll-behavior: smooth;
          scroll-padding: 100px;
      }

      header {
        position: fixed;
        top: 0;
        background-color: #7a0000;
        color: white;
        padding-left: 15px;
        padding-right: 20px;
        z-index: 999;
        box-shadow: 0 20px 10px #3E0202;
        width: 100%;
      }

      .navbar {
        display: flex;
        align-items: center;
        text-align: center;
        height: 80px;
      }

      .nav-links {
        flex: 1;
        text-align: center;
        padding-top: 0px;
        display: flex;
        justify-content: center;
      }

      .nav-links ul {
        display: flex;
        gap: 2.5rem;
        padding: 0;
        margin: 0;
      }

      .navbar .logo {
        max-width: 50px;
      }
      
      .nav-logo {
        float: left;
        position: relative;
        margin-top: -7px;
        padding-right: 35px;
      }

      .logo-btn {
        max-width: 50px;
      }

      .navbar ul {
        padding-top: 0px;
        display: flex;
        gap: 2.5rem;
        list-style: none;
      }

      .navbar ul li a {
        text-decoration: none;
        color: white;
        font-size: 1.5rem;
      }

      .navbar ul li a.active {
        border-bottom: 2px solid white;
      }
      .navbar ul li a:hover {
        box-shadow: white;
      }

      .hero {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 80px 100px;
        background-color: #000; /* your hero section background */
        background-image: url('assets/backgrounds/hero-section.png'); /* optional */
        background-size: cover;
        background-position: bottom;
        min-height: 100vh;
      }

      .hero-text {
        max-width: 55%;
        color: white;
      }

      .hero-text h1 {
        font-size: 48px;
        color: #FFC300;
      }

      .hero-text p {
        font-size: 30px;
        color: #fff;
      }

      .hero-btn {
        font-size: 1rem;
      }

      .hero-image {
        flex-shrink: 0;
        width: 350px;
        height: auto;
        border-radius: 10px;
        background: linear-gradient(to bottom, #500000, #000);
        padding: 10px;
        box-shadow: 0 0 25px rgba(255, 0, 0, 0.4);
        transition: transform 0.3s ease, box-shadow 0.3s ease;
      }

      .hero-image:hover {
        transform: scale(1.05);
        box-shadow: 0 0 35px rgba(255, 0, 0, 0.673);
      }

      .hero-image img {
        max-width: 100%;
        height: auto;
        display: block;
      }

      .btn {
        background-color: #7c0000;
        color: white;
        padding: 0.8rem 1.2rem;
        text-decoration: none;
        border-radius: 10px;
        display: inline-block;
        margin-top: 1rem;
      }
      
      .btn:hover {
        background-color: #7c0000;
        box-shadow: 0 0 40px rgba(255, 0, 0, 0.685);
        color: white;
      }

      .about-content {
        background-image: url("assets/backgrounds/about-section-2.png");
        background-size: cover;
        background-position: top;
        padding: 120px 40px;
        color: white;
        display: flex;
        align-items: center;
        justify-content: center;
        min-height: 100vh;
      }

      .about-container {
        display: flex;
        flex-wrap: wrap;
        /* justify-content: center; */
        align-items: flex-start;
        gap: 40px;
        margin-bottom: 40px;
      }

      .image-box {
        background: linear-gradient(145deg, #600000, #2b0000);
        border-radius: 10px;
        padding: 10px;
        box-shadow: 0 0 15px rgba(255, 0, 0, 0.3);
        display: flex;
        flex-direction: column;
        gap: 35px;
        max-width: 350px;
      }

      .image-box img {
        width: 100%;
        border-radius: 10px;
      }

      .image-box img:hover {
        box-shadow: 0 0 35px rgba(255, 0, 0, 0.3);
      }

      .about-text {
        max-width: 900px;
        font-size: 20px;
        line-height: 1.6;
      }

      .skills {
        display: flex;
        flex-wrap: wrap;
        width: auto;
        gap: 20px;
        justify-content: center;
    }
    
      .skills-img {
        width: 20px;
        height: 20px;
      }
      
      .about-img img {
        width: 300px;
        max-height: 173px;
        margin-bottom: 1rem;
        border-radius: 10px;
      }
      
      .bio {
        flex: 1 1 400px;
      }

      .skills {
        margin-top: 1rem;
        display: flex;
        flex-wrap: wrap;
        gap: 1rem;
      }

      .badge {
        padding: 0.5rem 1rem;
        border-radius: 8px;
        font-weight: bold;
      }

  .project-section {
    background-image: url(assets/backgrounds/project-background.png);
    background-size: cover;
    padding: 60px 40px;
    color: white;
    text-align: center;
    position: relative;
    min-height: 100vh;
  }

.tech-icons {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px;
  margin-bottom: 20px;
}

.tech {
  background-color: #7a0000;
  border: none;
  padding: 4px 12px;
  color: white;
  border-radius: 10px;
  font-weight: bold;
  display: flex;
  align-items: center;
  gap: 3px;
}

.tech img {
  width: 13px;
  height: auto;
}

.tallimg {
  height: 13px;
}

.project-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 147px;
  justify-content: center;
  margin-bottom: 50px;
}

.project-grid2 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 147px;
  justify-content: center;
  margin-bottom: 50px;
}

.project-img {
  width: 100%;
  border-radius: 10px;
  box-shadow: 0 0 15px #ff000080;
  transition: transform 0.3s;
}

.project-img2 {
  width: 105%;
  border-radius: 10px;
  box-shadow: 0 0 15px #ff000080;
  transition: transform 0.3s;
}

.project-img2:hover {
  transform: scale(1.05);
}

.project-section2 {
    padding: 60px 40px;
    color: white;
    align-items: center;
    position: relative;
  }

@media (min-width: 1024px) {
  .project-img:hover {
  transform: scale(1.05);
}
}

.gundam-text {
  float: left;
}

.gundam-img {
  float: right;
  width: 50%;
  height: auto;
  max-width: 1100px;
}

.footer-section {
  background-image: url(assets/backgrounds/footer-background-2.png);
  background-size: cover;
  background-position: top;
  color: white;
  padding: 3rem 2rem;
}

.footer-content {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 2rem;
  max-width: 1200px;
  margin: 0 auto;
}

.footer-text {
  float: right;
  flex: 1;
  min-width: 280px;
}

.footer-text h2 {
  font-size: 2.8rem;
  margin-bottom: 1rem;
  font-weight: bold;
}

.footer-text p {
  font-size: 1rem;
  line-height: 1.5;
}

.footer-contacts {
  font-size: 1.5rem;
  flex: 1;
  min-width: 280px;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.contact-item {
  display: flex;
  align-items: center;
  gap: 0.75rem;
}

.contact-item img {
  width: 24px;
  height: 24px;
}

.contact-item a {
  color: white;
  text-decoration: underline;
  word-break: break-word;
}

@media (max-width: 1023px) {
  .footer-content {
    flex-direction: column;
    align-items: flex-start;
  }
}


@media (max-width: 1023px) {
  .hero-content, .about-content {
    flex-direction: column;
    text-align: center;
  }
  .navbar ul {
    flex-direction: column;
    gap: 1rem;
  }

  .navbar {
    flex-direction: column;
  }
}

.mobile {
  display: none;
}
@media (max-width: 1025px) {
  .image-box {
    max-width: 1200px;
    flex-direction: row; /* switch to horizontal layout */
    justify-content: center;
  }

  .image-box img {
    width: 100%;
    max-width: 230px;
    object-fit: cover;
  }
}
@media (max-width: 1023px) {
  .desktop {
    display: none;
  }

  .mobile {
    display: flex;
  }

  .mobile {
  background-color: #2d0000;
  padding: 2rem;
  flex-direction: column;
  align-items: center;
  font-family: 'Segoe UI', sans-serif;
}

.mobile-card {
  /* max-width: 360px; */
  margin: auto;
  background: linear-gradient(to center, #810000, #000);
  border-radius: 25px;
  box-shadow: 0 0 25px rgb(0, 0, 0);
  padding: 2rem 1.5rem;
  text-align: center;
  color: white;
}

.mobile-card {
  width: 100%;
  padding: 0;
  margin: 0;
}


.profile-img {
  margin-top: 1rem;
  width: 150px;
  height: 150px;
  box-shadow: 0 0 20px rgba(255, 0, 0, 0.4);
  border-radius: 50%;
  object-fit: fill;
  margin-bottom: 1rem;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.profile-img:hover {
  transform: scale(1.1);
  box-shadow: 0 0 35px rgba(255, 0, 0, 0.673);
}

.name {
  color: white;
  font-size: 1.5rem;
  font-weight: bold;
}

.role {
  font-size: 1rem;
  color: #777;
  margin-bottom: 1rem;
}

.contact-links a {
  margin: 0 0.5rem;
  font-size: 1.2rem;
  color: #7a0000;
  text-decoration: none;
}

.contact-links img {
  max-width: 30px;
}

.resume-section {
  margin-top: 2rem;
  padding: 2rem 1.5rem;
  text-align: left;
}

.skill-txt {
  color: white;
}

.resume-section h2 {
  font-size: 1.2rem;
  color: #7a0000;
  margin-bottom: 1rem;
}

.skills-list {
  list-style: none;
  padding: 0;
  margin: 0;
}

.skills-list li {
  margin-bottom: 0.8rem;
  font-size: 0.9rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.dots {
  display: inline-flex;
  gap: 4px;
}

.dots span {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background-color: #c9a100;
  display: inline-block;
}

.dots .off {
  background-color: #ccc;
}

.project-section {
  background-image: none;
  margin-top: 1rem;
  text-align: left;
}

.project-card {
  margin-top: 1rem;
  background-color: #540000;
  border-radius: 12px;
  padding: 1rem;
  text-align: center;
}

.project-img {
  width: 90%;
  border-radius: 10px;
  margin-bottom: 0.5rem;
}

.about-mobile {
  margin-bottom: 2rem;
  box-shadow: 0 0 30px rgb(0, 0, 0);
  float: left;
  width: auto;
  margin-left: -35px;
  margin-right: -35px;
  background-color: white;
  color: #222;
  padding: 1.5rem;
  box-sizing: border-box;
  font-family: 'Segoe UI', sans-serif;
}


.about-mobile h2 {
  color: #7a0000;
  font-size: 1.5rem;
  font-weight: bold;
  margin-bottom: 1rem;
  text-align: left;
}

.about-mobile p {
  font-size: 0.95rem;
  line-height: 1.6;
  margin-bottom: 1rem;
  text-align: left;
}

.more-result {
  margin-top: 2rem;
  text-align: center;
}

.mobile-footer {
  box-shadow: 0 -20px 20px rgb(58, 0, 0);
  background-color: #1a0000;
  border-radius: 25px;
  color: white;
  padding: 2rem 1.5rem;
  text-align: left;
}

.mobile-footer h2 {
  font-size: 1.8rem;
  color: #ffcc00;
  margin-bottom: 1rem;
}

.mobile-footer p {
  font-size: 1rem;
  margin-bottom: 1.5rem;
  line-height: 1.6;
}

.footer-contacts {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.contact-item {
  display: flex;
  align-items: center;
  gap: 0.8rem;
}

.contact-item img {
  width: 22px;
  height: 22px;
}

.contact-item a {
  color: white;
  text-decoration: none;
  font-size: 1rem;
  word-break: break-word;
}
}
      
